Subject: Re: SCTP sockopt discrepancy between 2.4 and 2.6.

From: "David S. Miller" <[email-masked]>
Date: Mon, 2 Feb 2004 11:03:40 -0800

On Mon, 02 Feb 2004 18:43:03 +0000
David Woodhouse <[email-masked]> wrote:

> Am I missing something -- like perhaps the existence of a patch to
> update the 2.4 kernel -- or is the SCTP implementation in 2.4 no longer
> being maintained, and no longer compatible with 2.6 and its userspace?

Good catch David, this does need to be synchronized and fixed.

I believe the 2.4.x SCTP code was a port of some older 2.6.x incantation
and then the 2.6.x line kept being updated yet such updates never were
merged 2.4.x'ward.